	function HTTP_BRANCH_SALES_LOAD(CALLBACK_METHOD, ROW_INDEX)
	{
		var GET_MAP_ARRAY = JSCUS_SQL._RECORD._POS_SALE.CUS_PREPARE_MAPPED_ARRAY_FOR_GET();
		JSVC_MAP_ARRAY.VAR_SET(GET_MAP_ARRAY, 'PARAM_REC_POSSALE_ACC_GROUP_ID', PROPERTY_ACC_GROUP_ID);
		if
		(
			JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_DATE_FROM_SPB_DTP") == true &&
			JSOC_STYLE.VAR_IS_VISIBLE('SEARCH_DATE_FROM_SPB_DTP') == true &&
			JSVC_STR.VAR_IS_BLANK(JSOC_ELEMENT.VAR_VALUE("SEARCH_DATE_FROM_SPB_DTP")) == false
		)
		{
			JSVC_MAP_ARRAY.VAR_SET(GET_MAP_ARRAY, 'PARAM_REC_POSSALE_DATE_TRANSACT_FROM', JSVC_DATE.VAR_FORMAT(JSOC_ELEMENT.VAR_VALUE("SEARCH_DATE_FROM_SPB_DTP"), "YYYY-MM-DD") + " 00:00:00.000000");
			JSVC_MAP_ARRAY.VAR_SET(GET_MAP_ARRAY, 'PARAM_REC_POSSALE_DATE_TRANSACT_TO', JSVC_DATE.VAR_FORMAT(JSOC_ELEMENT.VAR_VALUE("SEARCH_DATE_FROM_SPB_DTP"), "YYYY-MM-DD") + " 23:59:59.000000");
		}

		// Declare Post Request Handler
		// _______________________________________________________________________
		var HTTP_BRANCH_SALES_LOAD_RESPONSE = 			
			function(IS_SUCCESS, RESPONSE_STRING)
			{
				CUS_SEND_DIALOG_TRY_DISMISS();
				
				// Validate
				// _______________________________________________________________________
				if(IS_SUCCESS === false)
				{
					alert("CONNECTION ERROR: \n" + RESPONSE_STRING);
					return;
				}
				
				// Validate JSON Response
				// _______________________________________________________________________
				var JSON_OBJECT = JSRC_JSON.REF_CREATE(RESPONSE_STRING);
				if(JSRC_JSON.REF_IS_SUCCESS(JSON_OBJECT) === false)
				{
					alert("REQUEST ERROR: \n" + RESPONSE_STRING);
					return;
				}
				
				// JSON Empty (Clears the DataGrodView)
				// _______________________________________________________________________
				if(JSRC_JSON.REF_READ(JSON_OBJECT, "JSON_COUNT") <= 0)
				{
					// SECTION_FILE_DGV.ROW.CLEAR();
					return;
				}

				// Read Response
				// ...........................................
				else
				{
					PROPERTY_CHILD_FILES = JSON_OBJECT;
					INDEX_HOLDER = ROW_INDEX - 1;
					CALLBACK_METHOD(true);
				}
			};

		JSOC_DIALOG.VAR_LOADING_SPINNER(true);
		JSCUS_SQL._RECORD._POS_SALE.CUS_GET
		(
			GET_MAP_ARRAY,
			HTTP_BRANCH_SALES_LOAD_RESPONSE,
			true
		);
	}

	/*function HTTP_SALES_PER_PRODUCT_LOAD(CALLBACK_METHOD, R_INDEX)
	{
		var GET_MAP_ARRAY = JSCUS_SQL._RECORD._POS_SALE_LIST.CUS_PREPARE_MAPPED_ARRAY_FOR_GET();

		JSVC_MAP_ARRAY.VAR_SET(GET_MAP_ARRAY, 'PARAM_REC_POSSALE_ACC_GROUP_ID', PROPERTY_ACC_GROUP_ID);
		JSVC_MAP_ARRAY.VAR_SET(GET_MAP_ARRAY, 'PARAM_REC_POSSALE_LIST_CAT_PRODUCT_ID', PROPERTY_CAT_PRODUCT_ID);

		if
		(
			JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_DATE_FROM_SKU_DTP") == true &&
			JSOC_STYLE.VAR_IS_VISIBLE('SEARCH_DATE_FROM_SKU_DTP') == true &&
			JSVC_STR.VAR_IS_BLANK(JSOC_ELEMENT.VAR_VALUE("SEARCH_DATE_FROM_SKU_DTP")) == false
		)
		{
			JSVC_MAP_ARRAY.VAR_SET(GET_MAP_ARRAY, 'PARAM_REC_POSSALE_DATE_TRANSACT_FROM', JSVC_DATE.VAR_FORMAT(JSOC_ELEMENT.VAR_VALUE("SEARCH_DATE_FROM_SKU_DTP"), "YYYY-MM-DD") + " 00:00:00.000000");
			JSVC_MAP_ARRAY.VAR_SET(GET_MAP_ARRAY, 'PARAM_REC_POSSALE_DATE_TRANSACT_TO', JSVC_DATE.VAR_FORMAT(JSOC_ELEMENT.VAR_VALUE("SEARCH_DATE_FROM_SKU_DTP"), "YYYY-MM-DD") + " 23:59:59.000000");
		}

		// Declare Post Request Handler
		// _______________________________________________________________________
		var HTTP_SALES_PER_PRODUCT_LOAD_RESPONSE = 			
			function(IS_SUCCESS, RESPONSE_STRING)
			{
				CUS_SEND_DIALOG_TRY_DISMISS();
				
				// Validate
				// _______________________________________________________________________
				if(IS_SUCCESS === false)
				{
					alert("CONNECTION ERROR: \n" + RESPONSE_STRING);
					return;
				}
				
				// Validate JSON Response
				// _______________________________________________________________________
				var JSON_OBJECT = JSRC_JSON.REF_CREATE(RESPONSE_STRING);
				if(JSRC_JSON.REF_IS_SUCCESS(JSON_OBJECT) === false)
				{
					alert("REQUEST ERROR: \n" + RESPONSE_STRING);
					return;
				}
				
				// JSON Empty (Clears the DataGrodView)
				// _______________________________________________________________________
				if(JSRC_JSON.REF_READ(JSON_OBJECT, "JSON_COUNT") <= 0)
				{
					// SECTION_FILE_DGV.ROW.CLEAR();
					return;
				}

				// Read Response
				// ...........................................
				else
				{
					PROPERTY_CHILD_FILES = JSON_OBJECT;
					//INDEX_HOLDER = ROW_INDEX - 1;
					CALLBACK_METHOD(true);
				}
			};

		JSOC_DIALOG.VAR_LOADING_SPINNER(true);
		
		JSCUS_SQL._RECORD._POS_SALE_LIST.CUS_GET_ALL
		(
			GET_MAP_ARRAY,
			HTTP_SALES_PER_PRODUCT_LOAD_RESPONSE,
			true
		); 
	}*/